org.modeshape.jcr.value.binary

## Class FileLocks.LockHolder

- java.lang.Object
- - org.modeshape.jcr.value.binary.FileLocks.LockHolder

- Enclosing class:
    FileLocks

      protected final class FileLocks.LockHolder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected File` | `file`
    `protected FileLocks.WrappedLock` | `readLock`
    `protected FileLocks.WrappedLock` | `writeLock`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileLocks.LockHolder(File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `decrementReferenceCount()`
    `protected void` | `incrementReferenceCount()`
    `protected FileLocks.WrappedLock` | `lock(boolean write, boolean block)`
    `protected FileChannel` | `lockedFileChannel()`
    `String` | `toString()`
    `protected void` | `unlock(Lock lock)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### file

          protected final File file

    - #### readLock

          protected final FileLocks.WrappedLock readLock

    - #### writeLock

          protected final FileLocks.WrappedLock writeLock

  - ### Constructor Detail

    - #### FileLocks.LockHolder

          protected FileLocks.LockHolder(File file)

  - ### Method Detail

    - #### lockedFileChannel

          protected FileChannel lockedFileChannel()

    - #### incrementReferenceCount

          protected void incrementReferenceCount()

    - #### decrementReferenceCount

          protected int decrementReferenceCount()

    - #### lock

          protected FileLocks.WrappedLock lock(boolean write,
                                   boolean block)
                                        throws IOException

      Throws:
        `IOException`

    - #### unlock

          protected void unlock(Lock lock)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.